> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Create a new project in the Workspace



## OpenAPI

````yaml POST /project
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /project:
    post:
      description: Create a new project in the Workspace
      requestBody:
        description: Project to add to the Workspace
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewProject'
              required:
                - projectName
        required: true
      responses:
        '200':
          description: Project response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getProject'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewProject:
      allOf:
        - required:
            - projectName
          type: object
          properties:
            projectName:
              description: The Name of the project.
              type: string
            customerId:
              description: The ID of the customer.
              type: string
            startDate:
              description: The start date of the project, We expect yyyy-MM-dd.
              format: date
            dueDate:
              description: The due date of the project, We expect yyyy-MM-dd.
              format: date
            templateId:
              description: The ID of the template to use for the project.
              type: string
    getProject:
      allOf:
        - $ref: '#/components/schemas/getProjects'
        - type: object
          properties:
            workspaceId:
              description: The ID of the workspace.
              type: string
            ownerId:
              description: The ID of the owner.
              type: string
            description:
              description: Description of the project.
              type: string
            customerId:
              description: The ID of the customer.
              type: string
            startDate:
              description: The start date of the project.
              type: string
            dueDate:
              description: The due date of the project.
              type: string
            favoriteUsers:
              description: List of users who marked the project as favorite.
              type: array
              items:
                type: string
            projectUsers:
              description: List of users associated with the project.
              type: array
              items:
                type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    getProjects:
      required:
        - name
      type: object
      properties:
        projectId:
          description: The ID of the project.
          type: string
        projectName:
          description: The Name of the project.
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````